Subject: RE: [Capwap] So many architectures, so little time... - take 2

From: Shehzad Merchant <[email-masked]>
Date: Wed, 4 Aug 2004 15:19:53 -0700

I think the implementation variations even with the split MAC may cover a
broad spectrum. As such its important to clearly articulate what aspects of
interoperability we are targetting. Is it truly just control/management or
is it interoperability between disparate implementations of the split MAC,
i.e. mix and match operation of WTP and ACs of all variants within this
category.

I suspect for the latter we may have to arrive at some consensus on what
particular implementations we are targeting interoperability for. If so,
ultimately this problem statement could become part of the charter. 

-Shehzad

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of [email-masked]
Sent: Wednesday, August 04, 2004 11:53 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Capwap] So many architectures, so little time... - take 2

I believe this is the consensus, to scope the charter to Centralized
Architecture and LocalMAC and Split MAC. 

I'll update the charter with this change after the CAPWAP WG Mtg.
If there is resistance to this idea, please post to the list.

Regards
Dorothy

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of ext Inderpreet Singh
> Sent: Tuesday, August 03, 2004 9:40 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; Kessens David 
> (Nokia-NET/MtView); Gellert Dorothy (Nokia-ES/MtView)
> Subject: RE: [Capwap] So many architectures, so little time... - take 
> 2
> 
> 
> The issue(s) at hand and my opinions are:
> 
> 1. Do we explicitly state in the re-charter which architecture the WG 
> should consider?
> 	I think yes.  I propose Centralized architecture only.
> Autonomous and Distributed should be out of scope based on the same 
> reasons as per prior postings.
> 
> 2. Within Centralized do we focus on all three sub architectures or a 
> subset?
> 	Remote MAC should be excluded because if I am not mistaken, the 
> connectivity constraint between the WTP and the AC is "direct 
> connect".
> That being the case and that no IP layer is involved, it doesn't seem 
> clear what kind of protocol would help with interoperability.
> 	I am concerned about the impact, dependencies and interaction with 
> the recently constituted IEEE Study group on AP functionality on the 
> Split MAC architectures.  Furthermore, there are some pretty drastic 
> differences on how the vendors have chosen to split the mac.  Those 
> differences will need to be worked out before designing a protocol.  
> So, if the low hanging fruit strategy (as James suggested) for 
> protocol development and progress is the way to go, then I think 
> prioritizing on a protocol for Local MAC is a no brainer.  So as far 
> as focus, I feel we should do Local and Split and in that order.
> 
> 3. This is not a re-chartering issue but is a response to Pat's 
> suggestion that a protocol that just sends the 802.11 MAC frames from 
> the AP to the AC would work.  I think possibly, yes.  But again the 
> complications of splitting the MAC in an interoperable way will be an 
> issue.  Also, you may note in the draft to which you refer, we 
> included a capabilities exchange phase.  I had thought of including in 
> the capability exchange such things as "AP supports Local MAC" and "AP 
> supports Split MAC", but didn't put it in because the Taxonomy work 
> was still in progress.  Now that it is pretty much done we could 
> surely include that.  But again...let's recharter first.
> 
> Thanks.  Do people agree with 1 & 2?
> 
> ---
> Inderpreet Singh
> Chantry Networks
> [email-masked]
> Cell: 416-831-3705
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Pat R. Calhoun
> Sent: Tuesday, August 03, 2004 6:04 PM
> To: Yang, Lily L; James Kempf; [email-masked]; 
> [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Capwap] So many architectures, so little time... - take 2
> 
> After reading Lily's response to Jim, I realize that I fell down the 
> same trap. Local MAC is also a centralized approach, and so my 
> previous response was not complete. I believe the real question, in my 
> mind, is whether we need to address either the Local or the Split MAC 
> architecture.
> 
> Just looking at the Architecture Consideration tables (7 and
> 10) in the
> specification, the
> main difference (at a high level) between both approaches is where the
> 802.11 management
> terminates. For Local MAC, it's in the WTP, while for SPlit MAC, it's 
> in the AC.
> 
> However, looking at table 8, most Local MAC approaches share STA state 
> between both the WTP and the AC. So clearly there is some signalling 
> protocol between both the WTP and the AC.
> 
> Looking at one example of a Local MAC protocol (see 
> http://www.ietf.org/internet-drafts/draft-singh-capwap-ctp-00.txt),
> there is a protocol message
> that corresponds for every 802.11 MAC management event. So when a STA 
> associates, the AP breaks the message apart and creates an new 
> protocol PDU, which contains components found in the association 
> request. I suspect that most Local MAC approaches do something very 
> similar.
> 
> So if a protocol simply tunnels the 802.11 MAC management frames from 
> the WTP to the AC, it allows supports both approaches. For Local MAC, 
> they get what they want via the
> 802.11 frame, and this
> also works fine for Split MAC, which needs access to the MAC 
> management frame. What would be required in such a protocol is a way 
> for the AP to communicate whether it will be providing very specific 
> functions - basically a capabilities negotiation approach.
> 
> So I do believe that there is a way to address both architectures 
> using a single protocol.
> 
> Thoughts?
> 
> PatC
> 
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
> 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "James Kempf" <[email-masked]>
Date: Wed, 4 Aug 2004 15:28:35 -0700

As a potential customer, let me put it concretely. I want to be able to buy
my access points from Vendor X and my switch from Vendor Y and plug the two
together and have them work without any configuration. Also, I'd like to be
able to buy switches from Vendor Y and Vendor Z and be able to plug them
into my network at various places and have them interoperate.

            jak

----- Original Message ----- 
From: "Shehzad Merchant" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; "Inderpreet Singh" <[email-masked]>
Sent: Wednesday, August 04, 2004 3:19 PM
Subject: RE: [Capwap] So many architectures, so little time... - take 2

> From: [email-masked] [mailto:[email-masked]] On
Behalf